simeck.h File Reference

Classes for the SIMECK block cipher. More...

Go to the source code of this file.

## Classes

struct | SIMECK32_Info
| SIMECK block cipher information. More...
struct | SIMECK64_Info
| SIMECK block cipher information. More...
class | SIMECK32
| SIMECK 32-bit block cipher. More...
class | SIMECK32::Base
| SIMECK block cipher transformation functions. More...
class | SIMECK32::Enc
| Encryption transformation. More...
class | SIMECK32::Dec
| Decryption transformation. More...
class | SIMECK64
| SIMECK 64-bit block cipher. More...
class | SIMECK64::Base
| SIMECK block cipher transformation functions. More...
class | SIMECK64::Enc
| Encryption transformation. More...
class | SIMECK64::Dec
| Decryption transformation. More...

## Typedefs

typedef SIMECK32::Encryption | SIMECK32Encryption
typedef SIMECK32::Decryption | SIMECK32Decryption
typedef SIMECK64::Encryption | SIMECK64Encryption
typedef SIMECK64::Decryption | SIMECK64Decryption

## Detailed Description

Classes for the SIMECK block cipher.

See also
  SIMECK, The Simeck Family of Lightweight Block Ciphers

Since
  Crypto++ 8.0

Definition in file simeck.h.

## Typedef Documentation

## SIMECK32Encryption

typedef SIMECK32::Encryption SIMECK32Encryption

Definition at line 99 of file simeck.h.

## SIMECK32Decryption

typedef SIMECK32::Decryption SIMECK32Decryption

Definition at line 100 of file simeck.h.

## SIMECK64Encryption

typedef SIMECK64::Encryption SIMECK64Encryption

Definition at line 157 of file simeck.h.

## SIMECK64Decryption

typedef SIMECK64::Decryption SIMECK64Decryption

Definition at line 158 of file simeck.h.